--==========================================================================================================================	
-- CIVILIZATIONS
--==========================================================================================================================	
--------------------------------	
-- Civilization_BuildingClassOverrides
--------------------------------	
INSERT INTO Civilization_BuildingClassOverrides
		(CivilizationType, BuildingClassType, BuildingType)
SELECT	'CIVILIZATION_MC_LITE_NUBIA', 'BUILDINGCLASS_WORKSHOP', 'BUILDING_NUBIA_CENOBIUM'
WHERE EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');
--==========================================================================================================================	
-- BUILDINGS
--==========================================================================================================================	
------------------------------
-- Buildings
------------------------------	
INSERT INTO Buildings 	
			(Type,						BuildingClass,	GoldMaintenance,	Cost, FaithCost,	ConversionModifier, EnhancedYieldTech, NoUnhappfromXSpecialists, TechEnhancedTourism, AllowsRangeStrike, Defense, BuildingDefenseModifier, 	TrainedFreePromotion, CitySupplyFlat, DefenseHappinessChange, GreatPeopleRateModifier, GreatWorkSlotType, GreatWorkCount, FreshWater, FreeStartEra, Happiness, NeverCapture, PrereqTech, ArtDefineTag, SpecialistType, SpecialistCount, MinAreaSize, ConquestProb, HurryCostModifier, TradeRouteRecipientBonus, TradeRouteTargetBonus, IsNoRiver, MutuallyExclusiveGroup, AllowsProductionTradeRoutes, Help,										Description,						Civilopedia,							Strategy,									IconAtlas,			PortraitIndex)
SELECT		'BUILDING_NUBIA_CENOBIUM',	BuildingClass,	0,					Cost, 300,			-25, 				EnhancedYieldTech, NoUnhappfromXSpecialists, TechEnhancedTourism, AllowsRangeStrike, Defense, 25, 						TrainedFreePromotion, CitySupplyFlat, DefenseHappinessChange, GreatPeopleRateModifier, GreatWorkSlotType, GreatWorkCount, FreshWater, FreeStartEra, Happiness, NeverCapture, PrereqTech, ArtDefineTag, SpecialistType, SpecialistCount, MinAreaSize, ConquestProb, HurryCostModifier, TradeRouteRecipientBonus, TradeRouteTargetBonus, IsNoRiver, MutuallyExclusiveGroup, AllowsProductionTradeRoutes, 'TXT_KEY_BUILDING_NUBIA_CENOBIUM_HELP',	'TXT_KEY_BUILDING_NUBIA_CENOBIUM', 'TXT_KEY_BUILDING_NUBIA_CENOBIUM_TEXT',	'TXT_KEY_BUILDING_NUBIA_CENOBIUM_STRATEGY',	'NUBIA_4UC_ATLAS',	1
FROM Buildings WHERE Type = 'BUILDING_WORKSHOP';	
------------------------------	
-- Building_Flavors
------------------------------		
INSERT INTO Building_Flavors 	
			(BuildingType, 					FlavorType,				Flavor)
VALUES		('BUILDING_NUBIA_CENOBIUM',	'FLAVOR_GOLD',			70),
			('BUILDING_NUBIA_CENOBIUM',	'FLAVOR_PRODUCTION',	150),
			('BUILDING_NUBIA_CENOBIUM',	'FLAVOR_RELIGION',		50);
------------------------------	
-- Building_YieldChanges
------------------------------		
INSERT INTO Building_YieldChanges 	
			(BuildingType, 					YieldType,			Yield)
VALUES		('BUILDING_NUBIA_CENOBIUM',	'YIELD_FAITH',		3),
			('BUILDING_NUBIA_CENOBIUM',	'YIELD_PRODUCTION',	3),
			('BUILDING_NUBIA_CENOBIUM',	'YIELD_GOLD',		2);
------------------------------	
-- Building_YieldChangesPerPop
------------------------------
INSERT INTO Building_YieldChangesPerPop 	
			(BuildingType,				YieldType,	Yield)
SELECT		'BUILDING_NUBIA_CENOBIUM',	YieldType,	Yield+10
FROM Building_YieldChangesPerPop WHERE BuildingType = 'BUILDING_WORKSHOP';
------------------------------	
-- Building_YieldFromInternalTR
------------------------------		
INSERT INTO Building_YieldFromInternalTR	
			(BuildingType, YieldType, Yield)
SELECT		'BUILDING_NUBIA_CENOBIUM', YieldType, Yield
FROM Building_YieldFromInternalTR WHERE BuildingType = 'BUILDING_WORKSHOP';
------------------------------	
-- Building_FeatureYieldChanges
------------------------------
INSERT INTO Building_FeatureYieldChanges	
			(BuildingType,					FeatureType,		YieldType,				Yield)
VALUES		('BUILDING_NUBIA_CENOBIUM',	'FEATURE_FOREST',	'YIELD_PRODUCTION',		1),
			('BUILDING_NUBIA_CENOBIUM',	'FEATURE_FOREST',	'YIELD_GOLD',			1);
--==========================================================================================================================
--TEXT
--==========================================================================================================================
INSERT INTO Language_en_US (Tag, Text)
VALUES 
('TXT_KEY_BUILDING_NUBIA_CENOBIUM',				'Cenobium'),
('TXT_KEY_BUILDING_NUBIA_CENOBIUM_HELP', 		'Can be purchased with [ICON_PEACE] Faith. Does not require a Forge in the city.[NEWLINE][NEWLINE]Boosts [ICON_RELIGION] Religious Resistance and [ICON_STRENGTH] City Defense of this city by 25%. +1 [ICON_PRODUCTION] Production for every 5 [ICON_CITIZEN] Citizens in this City.[NEWLINE][NEWLINE]+1 [ICON_PRODUCTION] Production and [ICON_GOLD] Gold from all Forests worked by this City. Internal [ICON_PRODUCTION] Production [ICON_INTERNATIONAL_TRADE] Trade Routes from this City generate +4 [ICON_PRODUCTION] Production. Allows [ICON_PRODUCTION] Production to be moved from this city along trade routes inside your civilization.'),
('TXT_KEY_BUILDING_NUBIA_CENOBIUM_TEXT',		'A Cenobium is a place where monks regularly gather and live communally, similar to a monastery.  Unlike a traditional monastery, Cenobitic monks are much more sociable amongst one another, other cenobiums, and the nearby communities that they would often trade and interact with.  While not limited to one particular religion, the cenobium, and cenobitic monastacism, is most commonly associated with Christianity. It''s rise began with the falling out of Aramaeic Christianity, as the solitude that was required of its monks became too great a strain on the monks'' spiritual and emotional well-being. The first Cenobitic order was founded by Saint Pachomius in Tabenna, based on his experiences in the barracks during his time as a Roman Legionaire.[NEWLINE][NEWLINE]In addition to being a place of religious study, cenobiums could also become centers of knowledge and trade.  Monks from one community could travel between different cenobiums, spreading ideas, goods, and gossip from other cenobiums and communities around them.  However, the focus of the cenobites remained on increasing and deepening their spiritual connection to God, with monks supporting one another in times of trial, rather than going it alone as solidary hermits.'),
('TXT_KEY_BUILDING_NUBIA_CENOBIUM_STRATEGY',	'The Cenobium is the Nubian unique building, replacing the Workshop. In addition to the regular bonuses of a Workshop, the Cenobium can be purchased with Faith, and generates a small amount of gold and faith instead of costing building maintenance. The Cenobium also offers minor boosts to both religious and military defense.');
