-- JFD_IsCivilisationActive
--[[function JFD_IsCivilisationActive(civilisationID)
	for iSlot = 0, GameDefines.MAX_MAJOR_CIVS-1, 1 do
		local slotStatus = PreGame.GetSlotStatus(iSlot)
		if (slotStatus == SlotStatus["SS_TAKEN"] or slotStatus == SlotStatus["SS_COMPUTER"]) then
			if PreGame.GetCivilization(iSlot) == civilisationID then
				return true
			end
		end
	end

	return false
end --]]

include("FLuaVector.lua")

local civilizationNubiaID = GameInfoTypes["CIVILIZATION_MC_LITE_NUBIA"]
--local isCivNubiaActive	  = JFD_IsCivilisationActive(civilizationNubiaID)

function NubiaTaSeti(oldOwnerID, capital, plotX, plotY, newOwnerID)
	local player = Players[newOwnerID]
	if (player:IsAlive() and player:GetCivilizationType() == civilizationNubiaID) then
		local city = Map.GetPlot(plotX, plotY):GetPlotCity()
		local iWonderCount = 0
		for buildingClass in GameInfo.BuildingClasses("MaxGlobalInstances == 1") do
			if city:IsHasBuilding(GameInfoTypes[buildingClass.DefaultBuilding]) then
				iWonderCount = (iWonderCount +1)
			end
		end
		if iWonderCount > 0 then
			-- check XP scaling
			local bXPScaling = true -- default VP

			for t in GameInfo.CustomModOptions{Name="BALANCE_CORE_SCALING_XP"} do 
				bXPScaling = (t.Value == 1) 
			end

			-- acquire game speed modifier
			local fGameSpeedModifier2 = 1.0 -- it is float, so use 'f' at begining

			if bXPScaling then 
				fGameSpeedModifier2 = GameInfo.GameSpeeds[ Game.GetGameSpeedType() ].TrainPercent / 100 
			end
			--give all units 5XP for every wonder captured
			for pUnit in player:Units() do
				local iXPGain = math.floor((5 * fGameSpeedModifier2) * iWonderCount)
				pUnit:ChangeExperience(iXPGain, -1, 1)
			end
			--give Give GAP for every wonder captured
			local fGameSpeedModifier1 = GameInfo.GameSpeeds[ Game.GetGameSpeedType() ].GoldenAgePercent / 100
--			local iEraModifier = math.max(player:GetCurrentEra(), 1)
			local iGain = (500 * iWonderCount) * fGameSpeedModifier1
			player:ChangeGoldenAgeProgressMeter(iGain)
			if player:IsHuman() and player:IsTurnActive() then
				local iCityX, iCityY = city:GetX(), city:GetY()
				local vCityPosition = PositionCalculator(iCityX, iCityY)
				local sCityName = city:GetName()
				
				Events.AddPopupTextEvent(vCityPosition, "[COLOR_LIGHT_GREY]+"..iGain.." [ICON_GOLDEN_AGE][ENDCOLOR]", 1)
			
				player:AddNotification(NotificationTypes.NOTIFICATION_CITY_TILE,
					'Wonders in the newly captured city of [COLOR_CYAN]'..sCityName..'[ENDCOLOR] provide '..iGain..' [ICON_GOLDEN_AGE] Golden Age Points',
					'Wonders in [COLOR_CYAN]'..sCityName..'[ENDCOLOR] captured',
					iCityX, iCityY, city:GetID())
			end
		end
	end
end

function NubiaTaSetiRangedProduction(playerID)
	local player = Players[playerID]
	if (player:IsAlive() and player:GetCivilizationType() == civilizationNubiaID) then
		local buildingRangedProductionID = GameInfoTypes["BUILDING_MC_LITE_NUBIA_PRODUCTION"]
		local buildingFaithToDefenseID = GameInfoTypes["BUILDING_MC_LITE_NUBIA_DEFENSE"]
		local buildingCenobiumID  = GameInfoTypes["BUILDING_NUBIA_CENOBIUM"]
		--Set GA length for every world wonder on empire
--		local buildingWonderExtensionID  = GameInfoTypes["BUILDING_MC_LITE_NUBIA_WONDERS"]
--		player:GetCapitalCity():SetNumRealBuilding(buildingWonderExtensionID, math.max(10, player:GetNumWorldWonders()))
		for city in player:Cities() do
			city:SetNumRealBuilding(buildingRangedProductionID,0)
			city:SetNumRealBuilding(buildingFaithToDefenseID,0)
			--Set Bonus production in cities with Garrisons
			if city:GetGarrisonedUnit() then
				city:SetNumRealBuilding(buildingRangedProductionID,1)
			end
			-- Convert faith to city defense if city has a Cenobium (4UC only)
--			if city:IsHasBuilding(buildingCenobiumID) then
--				city:SetNumRealBuilding(buildingFaithToDefenseID,(city:GetFaithPerTurn()*0.5))
--			end
		end
	end
end

function NubiaRoyalPyramid(iPlayer, x, y, eImprovement)
	local pPlayer = Players[iPlayer]
	local pPlot = Map.GetPlot(x, y)
	
--	if pPlayer:GetCurrentEra() > 1 then return end
	
	if eImprovement == GameInfoTypes.IMPROVEMENT_MC_LITE_NUBIAN_ROYAL_PYRAMID then
		pPlot:AddArchaeologicalRecord(GameInfoTypes.ARTIFACT_ANCIENT_RUIN, pPlayer:GetCurrentEra(), iPlayer)
	end
end

function JFD_NubiaUU(playerID)
	local player = Players[playerID]
	if (player:IsAlive() and player:GetCivilizationType() == civilizationNubiaID) then
		for unit in player:Units() do
			if unit:IsHasPromotion(GameInfoTypes["PROMOTION_MC_APEDEMAK_RIVER"]) then
				local plot = Map.GetPlot(unit:GetX(), unit:GetY())
				if (plot and plot:IsRiver()) then
					unit:ChangeMoves(60)
				end
			end
		end
	end
end
GameEvents.PlayerDoTurn.Add(JFD_NubiaUU)

function PositionCalculator(i1, i2)
	return HexToWorld(ToHexFromGrid(Vector2(i1, i2)))
end

if Game.IsCivEverActive(civilizationNubiaID) then
	GameEvents.PlayerDoTurn.Add(NubiaTaSetiRangedProduction)
	GameEvents.CityCaptureComplete.Add(NubiaTaSeti)
	GameEvents.BuildFinished.Add(NubiaRoyalPyramid)
end